/***************************************************************/
/*          Linker command file                                */
/***************************************************************/

/*-c*/
/*-l /tools/sw3/dsp/c54x/rts.lib	*/	/* Runtime-support library */


MEMORY
{
  PAGE 0 : PROG_INT  (RIX)  : origin = 01000h, length = 1000h    /* 0 waitstates */
  PAGE 0 : PROG      (RIX)  : origin = 0c000h, length = 01000h  /* 4 waitstates */
  PAGE 1 : DATA_RAM  (RWX)  : origin = 0800h, length = 0200h    /* 0 waitstates */
  PAGE 1 : EXT_DATA1 (RWX)  : origin = 8000h, length = 0400h    /* 4 waitstates */
}

SECTIONS
{
	.text	> PROG_INT 	PAGE 0		/* Prgram text */
	.cinit	> PROG_INT 	PAGE 0		/* c-entry point */
	.switch > PROG_INT  	PAGE 0			/* switch statement table */
	.stack	> PROG_INT	PAGE 0		/* stack */
	.sysmem	> PROG_INT	PAGE 0		/* memory for malloc functions */
	c_int00 > PROG_INT  	PAGE 0
	.data	> DATA_RAM	PAGE 1		/* not used by compiler */
	.const	> DATA_RAM	PAGE 1		/* constants */
	.cstack > DATA_RAM      PAGE 1
	.bss	> EXT_DATA1 	PAGE 1		/* Block Starting with Symbol (Variables) */
	ram     > DATA_RAM      PAGE 1
}
